import Api from "~/service/Api"
import Pts from "../Common/Pts"

export default class Lttame{
    constructor () {
        this.data = {
						ledgrp:{
							rec:{
								ownref:"",			//  Reference		.ledgrp.rec.ownref
								nam:"",			//  Name		.ledgrp.rec.nam
								avbby:"",			//  Available by [AVBBY0]		.ledgrp.rec.avbby
								redclsflg:"",			//  Red/Green Clause		.ledgrp.rec.redclsflg
								opndat:"",			//  Date Issued		.ledgrp.rec.opndat
								shpdat:"",			//  Shipment Date		.ledgrp.rec.shpdat
								expdat:"",			//  Date/Place of Expiry		.ledgrp.rec.expdat
								expplc:"",			//  Date/Place of Expiry		.ledgrp.rec.expplc
								lcrtyp:"",			//  Form of L/C		.ledgrp.rec.lcrtyp
								revflg:"",			//  Revolving Flag		.ledgrp.rec.revflg
							},
							cbs:{
								nom1:{
									cur:"",			//  L/C Amount		.ledgrp.cbs.nom1.cur
									amt:"",			//  Balance		.ledgrp.cbs.nom1.amt
								},
								opn1:{
									cur:"",			//  Open Amount		.ledgrp.cbs.opn1.cur
									amt:"",			//  Balance		.ledgrp.cbs.opn1.amt
								},
							},
							apl:{
								pts:new Pts().data,
							},
							iss:{
								pts:new Pts().data,
							},
							ben:{
								pts:new Pts().data,
							},
							avbnam:"",			//  Available with		.ledgrp.avbnam
						},
						lttp:{
							ledget:{
								sdamod:{
									seainf:"",			//  Reference of L/C		.lttp.ledget.sdamod.seainf
									dadsnd:"",			//  Drag  Drop Sender		.lttp.ledget.sdamod.dadsnd
								},
							},
							recget:{
								sdamod:{
									dadsnd:"",			//  Drag  Drop Sender		.lttp.recget.sdamod.dadsnd
									seainf:"",			//  Reference		.lttp.recget.sdamod.seainf
								},
							},
							usr:{
								extkey:"",			//  Responsible User		.lttp.usr.extkey
							},
							usrget:{
								sdamod:{
									seainf:"",			//  		.lttp.usrget.sdamod.seainf
								},
							},
							aamp:{
								aammod:{
									addamtflg:"",			//  Add. Amount		.lttp.aamp.aammod.addamtflg
								},
							},
							be1p:{
								ptsget:{
									sdamod:{
										dadsnd:"",			//  Drag  Drop Sender		.lttp.be1p.ptsget.sdamod.dadsnd
										seainf:"",			//  		.lttp.be1p.ptsget.sdamod.seainf
									},
								},
							},
							adtp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.lttp.adtp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.lttp.adtp.ptsget.sdamod.dadsnd
									},
								},
							},
							be2p:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.lttp.be2p.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.lttp.be2p.ptsget.sdamod.dadsnd
									},
								},
							},
							a2tp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.lttp.a2tp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.lttp.a2tp.ptsget.sdamod.dadsnd
									},
								},
							},
							rmtp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.lttp.rmtp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.lttp.rmtp.ptsget.sdamod.dadsnd
									},
								},
							},
							avtp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.lttp.avtp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.lttp.avtp.ptsget.sdamod.dadsnd
									},
								},
							},
							ptsaddp:{
								ptsaddg:[],			//  		.lttp.ptsaddp.ptsaddg
							},
							conp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.lttp.conp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.lttp.conp.ptsget.sdamod.dadsnd
									},
								},
							},
							drwp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.lttp.drwp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.lttp.drwp.ptsget.sdamod.dadsnd
									},
								},
							},
							labdefdet:"",			//  DEFDAT LAbel		.lttp.labdefdet
							letp0:{
								recget:{
									sdamod:{
										dadsnd:"",			//  Drag  Drop Sender		.lttp.letp0.recget.sdamod.dadsnd
									},
								},
								aammod:{
									addamtflg:"",			//  Add. Amount		.lttp.letp0.aammod.addamtflg
								},
								cnftxt:"",			//  Confirmation text		.lttp.letp0.cnftxt
							},
							leltb2b:{
								litb2bstm:"",			//  Streamgrid of other L/Cs backed by B2B LE		.lttp.leltb2b.litb2bstm
							},
							totamt:"",			//  Total Amount		.lttp.totamt
						},
						ltdgrp:{
							rec:{
								ownref:"",			//  Reference		.ltdgrp.rec.ownref
								nam:"",			//  Name		.ltdgrp.rec.nam
								lcrtyp:"",			//  Form of Transfer		.ltdgrp.rec.lcrtyp
								nomtop:"",			//  Amount Tolerance +/-		.ltdgrp.rec.nomtop
								nomton:"",			//  Amount Tolerance - Negative		.ltdgrp.rec.nomton
								nomspc:"",			//  Amount Specification		.ltdgrp.rec.nomspc
								opndat:"",			//  Issued on		.ltdgrp.rec.opndat
								shpdat:"",			//  Shipment Date		.ltdgrp.rec.shpdat
								expdat:"",			//  Date of Expiry		.ltdgrp.rec.expdat
								expplc:"",			//  Place of Expiry		.ltdgrp.rec.expplc
								shppar:"",			//  Partial Shipment		.ltdgrp.rec.shppar
								shptrs:"",			//  Transhipment		.ltdgrp.rec.shptrs
								apprul:"",			//  Applicable Rules		.ltdgrp.rec.apprul
								apprultxt:"",			//  Other Applicable Rules		.ltdgrp.rec.apprultxt
								cnfins:"",			//  Confirmation Instruct.		.ltdgrp.rec.cnfins
								rmbflg:"",			//  Reimbursement Information		.ltdgrp.rec.rmbflg
								shppars18:"",			//  Partial Shipment		.ltdgrp.rec.shppars18
								shptrss18:"",			//  Transhipment		.ltdgrp.rec.shptrss18
								avbwth:"",			//  Available with		.ltdgrp.rec.avbwth
								avbby:"",			//  Available by		.ltdgrp.rec.avbby
								shpfro:"",			//  Dispatch from		.ltdgrp.rec.shpfro
								porloa:"",			//  Air-/Port of Departure		.ltdgrp.rec.porloa
								pordis:"",			//  Air-/Port of Destination		.ltdgrp.rec.pordis
								shpto:"",			//  Final Destination		.ltdgrp.rec.shpto
								chato:"",			//  Own Charges Borne by		.ltdgrp.rec.chato
								stacty:"",			//  Country Code Risk Country		.ltdgrp.rec.stacty
								tenmaxday:"",			//  Maximum tenor in days		.ltdgrp.rec.tenmaxday
								prepers18:"",			//  Days of presentation period		.ltdgrp.rec.prepers18
								prepertxts18:"",			//  Presentation period text		.ltdgrp.rec.prepertxts18
								redclsflg:"",			//  Red/Green Clause?		.ltdgrp.rec.redclsflg
								spcrcbflg:"",			//  Special Payment Conditions for specified Bank only		.ltdgrp.rec.spcrcbflg
								spcbenflg:"",			//  Special payment conditions for beneficiary exists		.ltdgrp.rec.spcbenflg
							},
							cbs:{
								nom1:{
									cur:"",			//  Total Amendment		.ltdgrp.cbs.nom1.cur
									amt:"",			//  Nominal Amount		.ltdgrp.cbs.nom1.amt
								},
								max:{
									cur:"",			//  Currency		.ltdgrp.cbs.max.cur
									amt:"",			//  Maximum Amount		.ltdgrp.cbs.max.amt
								},
								max2:{
									cur:"",			//  Additional Amount		.ltdgrp.cbs.max2.cur
									amt:"",			//  Additional Amount		.ltdgrp.cbs.max2.amt
								},
								opn2:{
									cur:"",			//  Open Add. Amount		.ltdgrp.cbs.opn2.cur
									amt:"",			//  Open Add. Amount		.ltdgrp.cbs.opn2.amt
								},
								opn1:{
									amt:"",			//  This L/C		.ltdgrp.cbs.opn1.amt
								},
							},
							be1:{
								pts:new Pts().data,
							},
							adt:{
								pts:new Pts().data,
								namelc:"",			//  名称		.ltdgrp.adt.namelc
								adrelc:"",			//  地址		.ltdgrp.adt.adrelc
								dbfadrblkcn:"",			//  Chinese address		.ltdgrp.adt.dbfadrblkcn
							},
							be2:{
								pts:new Pts().data,
								namelc:"",			//  名称		.ltdgrp.be2.namelc
								adrelc:"",			//  地址		.ltdgrp.be2.adrelc
								dbfadrblkcn:"",			//  Chinese address		.ltdgrp.be2.dbfadrblkcn
							},
							blk:{
								addamtcov:"",			//  Covered		.ltdgrp.blk.addamtcov
								avbwthtxt:"",			//  Available in		.ltdgrp.blk.avbwthtxt
								defdet:"",			//  Deferred Payment Details		.ltdgrp.blk.defdet
								dftat:"",			//  Drafts at		.ltdgrp.blk.dftat
								shpper:"",			//  Shipment Period		.ltdgrp.blk.shpper
								mixdet:"",			//  Mixed Payment Details		.ltdgrp.blk.mixdet
								preper:"",			//  Presentation Period		.ltdgrp.blk.preper
								preperflg:"",			//  Presentation Period modified		.ltdgrp.blk.preperflg
								feetxt:"",			//  Additional Details to Code for Charges CHATO		.ltdgrp.blk.feetxt
								lcrgod:"",			//  Description of Goods		.ltdgrp.blk.lcrgod
								lcrgodame:"",			//  Description of Goods Amendment		.ltdgrp.blk.lcrgodame
								lcrdoc:"",			//  Documents Required		.ltdgrp.blk.lcrdoc
								lcrdocame:"",			//  Documents Required Amendment		.ltdgrp.blk.lcrdocame
								adlcnd:"",			//  Additional Conditions		.ltdgrp.blk.adlcnd
								adlcndame:"",			//  Additional  Conditions Amendment		.ltdgrp.blk.adlcndame
								spcben:"",			//  Special Payment Conditions for Beneficiary		.ltdgrp.blk.spcben
								spcbename:"",			//  Special payment Conditions for beneficiary History		.ltdgrp.blk.spcbename
								spcrcb:"",			//  Special Payment Conditions for Bank Only		.ltdgrp.blk.spcrcb
								spcrcbame:"",			//  Special Payment Conditions for Bank Only History		.ltdgrp.blk.spcrcbame
							},
							a2t:{
								pts:new Pts().data,
								namelc:"",			//  名称		.ltdgrp.a2t.namelc
								adrelc:"",			//  地址		.ltdgrp.a2t.adrelc
								dbfadrblkcn:"",			//  Chinese address		.ltdgrp.a2t.dbfadrblkcn
							},
							rmt:{
								pts:new Pts().data,
								namelc:"",			//  名称		.ltdgrp.rmt.namelc
								adrelc:"",			//  地址		.ltdgrp.rmt.adrelc
								dbfadrblkcn:"",			//  Chinese address		.ltdgrp.rmt.dbfadrblkcn
							},
							avt:{
								pts:new Pts().data,
								namelc:"",			//  名称		.ltdgrp.avt.namelc
								adrelc:"",			//  地址		.ltdgrp.avt.adrelc
								dbfadrblkcn:"",			//  Chinese address		.ltdgrp.avt.dbfadrblkcn
							},
							con:{
								pts:new Pts().data,
								namelc:"",			//  名称		.ltdgrp.con.namelc
								adrelc:"",			//  地址		.ltdgrp.con.adrelc
								dbfadrblkcn:"",			//  Chinese address		.ltdgrp.con.dbfadrblkcn
							},
							drw:{
								pts:new Pts().data,
								namelc:"",			//  名称		.ltdgrp.drw.namelc
								adrelc:"",			//  地址		.ltdgrp.drw.adrelc
								dbfadrblkcn:"",			//  Chinese address		.ltdgrp.drw.dbfadrblkcn
							},
						},
						lttamep:{
							recget:{
								sdamod:{
									seainf:"",			//  		.lttamep.recget.sdamod.seainf
									dadsnd:"",			//  Drag  Drop Sender		.lttamep.recget.sdamod.dadsnd
								},
							},
							amenbr:"",			//  Current Amendm. No.		.lttamep.amenbr
							engamt:"",			//  change of engagement:		.lttamep.engamt
							maxamt:"",			//  New Maximum Amount		.lttamep.maxamt
							ramrol:"",			//  Send Request to		.lttamep.ramrol
							benconflg:"",			//  Beneficiary's Confirmation Required		.lttamep.benconflg
							lcrgodamep:{
								modflg:"",			//  Modify Text to Replace		.lttamep.lcrgodamep.modflg
								modmanflg:"",			//  Modify field for manual update		.lttamep.lcrgodamep.modmanflg
								usrblk:"",			//  Block to enter additional info for Add/Delete		.lttamep.lcrgodamep.usrblk
							},
							lcrdocamep:{
								modflg:"",			//  Modify Text to Replace		.lttamep.lcrdocamep.modflg
								modmanflg:"",			//  Modify field for manual update		.lttamep.lcrdocamep.modmanflg
								usrblk:"",			//  Block to enter additional info for Add/Delete		.lttamep.lcrdocamep.usrblk
							},
							adlcndamep:{
								usrblk:"",			//  Block to enter additional info for Add/Delete		.lttamep.adlcndamep.usrblk
								modflg:"",			//  Modify Text to Replace		.lttamep.adlcndamep.modflg
								modmanflg:"",			//  Modify field for manual update		.lttamep.adlcndamep.modmanflg
							},
							spcbenamep:{
								modflg:"",			//  Modify Text to Replace		.lttamep.spcbenamep.modflg
								modmanflg:"",			//  Modify field for manual update		.lttamep.spcbenamep.modmanflg
								usrblk:"",			//  Block to enter additional info for Add/Delete		.lttamep.spcbenamep.usrblk
							},
							spcrcbamep:{
								usrblk:"",			//  Block to enter additional info for Add/Delete		.lttamep.spcrcbamep.usrblk
								modflg:"",			//  Modify Text to Replace		.lttamep.spcrcbamep.modflg
								modmanflg:"",			//  Modify field for manual update		.lttamep.spcrcbamep.modmanflg
							},
						},
						trnmod:{
							swiadd:{
								amedat:"",			//  Amendment Date		.trnmod.swiadd.amedat
								amenbr:"",			//  Amend No. Received		.trnmod.swiadd.amenbr
								amecur:"",			//  Amended		.trnmod.swiadd.amecur
								ameamt:"",			//  Amended		.trnmod.swiadd.ameamt
								newcur:"",			//  New Data		.trnmod.swiadd.newcur
								newamt:"",			//  New amount		.trnmod.swiadd.newamt
								newnomtop:"",			//  New positive tolerance		.trnmod.swiadd.newnomtop
								newnomton:"",			//  New negative tolerance		.trnmod.swiadd.newnomton
								nomspc:"",			//  Amount Specification		.trnmod.swiadd.nomspc
								newexpdat:"",			//  New Expiry Date		.trnmod.swiadd.newexpdat
								newshpdat:"",			//  New Shipment Date		.trnmod.swiadd.newshpdat
								addamt:"",			//  Additional Amount		.trnmod.swiadd.addamt
								reqcan:"",			//  Cancellation Request		.trnmod.swiadd.reqcan
								purpos:"",			//  Purpose of message		.trnmod.swiadd.purpos
								addamtcov:"",			//  Details for Charges		.trnmod.swiadd.addamtcov
								trnchato:"",			//  Amendm. charge by		.trnmod.swiadd.trnchato
								trnfeetxt:"",			//  Details for Charges		.trnmod.swiadd.trnfeetxt
								prepers18:"",			//  New Presentation Period		.trnmod.swiadd.prepers18
								prepertxts18:"",			//  Presentation period text		.trnmod.swiadd.prepertxts18
							},
						},
						oldltdgrp:{
							cbs:{
								nom1:{
									amt:"",			//  Original Data		.oldltdgrp.cbs.nom1.amt
								},
								max:{
									cur:"",			//  Currency		.oldltdgrp.cbs.max.cur
									amt:"",			//  Balance		.oldltdgrp.cbs.max.amt
								},
							},
							rec:{
								nomtop:"",			//  Amount Tolerance - Positive		.oldltdgrp.rec.nomtop
								nomton:"",			//  Amount Tolerance - Negative		.oldltdgrp.rec.nomton
								expdat:"",			//  Date of Expiry		.oldltdgrp.rec.expdat
								shpdat:"",			//  Shipment Date		.oldltdgrp.rec.shpdat
								prepers18:"",			//  Presentation Period		.oldltdgrp.rec.prepers18
								prepertxts18:"",			//  Presentation period text		.oldltdgrp.rec.prepertxts18
							},
						},
						pageId: ""			// ctx的key
				}
    }
}